import{S as ye,i as we,s as be,e as r,k as l,w as C,t as M,M as Ee,c as n,d as t,m as p,a,x as S,h as q,b as i,G as o,g as c,y as D,L as ke,q as O,o as I,B as V,v as Le}from"../../../../chunks/vendor-hf-doc-builder.js";import{D as Te}from"../../../../chunks/Docstring-hf-doc-builder.js";import{I as le}from"../../../../chunks/IconCopyLink-hf-doc-builder.js";function Pe(pe){let m,U,d,_,E,$,Y,k,Z,B,f,x,L,T,ee,P,te,H,u,y,oe,F,re,Q,h,v,N,w,ne,A,ae,R,g,b,ie,z,se,G;return $=new le({}),T=new le({}),y=new Te({props:{name:"optimum.exporters.tflite.export",anchor:"optimum.exporters.tflite.export",parameters:[{name:"model",val:": TFPreTrainedModel"},{name:"config",val:": TFLiteConfig"},{name:"output",val:": Path"},{name:"task",val:": typing.Optional[str] = None"},{name:"preprocessor",val:": typing.Union[transformers.tokenization_utils_base.PreTrainedTokenizerBase, transformers.image_processing_utils.BaseImageProcessor, NoneType] = None"},{name:"quantization_config",val:": typing.Optional[ForwardRef('TFLiteQuantizationConfig')] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.export.model",description:`<strong>model</strong> (<code>TFPreTrainedModel</code>) &#x2014;
The model to export.`,name:"model"},{anchor:"optimum.exporters.tflite.export.config",description:`<strong>config</strong> (<a href="/docs/optimum/v1.8.1/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a>) &#x2014;
The TFLite configuration associated with the exported model.`,name:"config"},{anchor:"optimum.exporters.tflite.export.output",description:`<strong>output</strong> (<code>Path</code>) &#x2014;
Directory to store the exported TFLite model.`,name:"output"},{anchor:"optimum.exporters.tflite.export.task",description:`<strong>task</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The task of the model. If left unspecified the task will be inferred automatically. Only needed for static
quantization.`,name:"task"},{anchor:"optimum.exporters.tflite.export.preprocessor",description:`<strong>preprocessor</strong> (<code>Optional[Preprocessor]</code>, defaults to <code>None</code>) &#x2014;
The preprocessor associated to the model. This is used for preprocessing the dataset before feeding data to
the model during calibration.`,name:"preprocessor"},{anchor:"optimum.exporters.tflite.export.quantization_config",description:`<strong>quantization_config</strong> (<code>Optional[TFLiteQuantizationConfig]</code>, defaults to <code>None</code>) &#x2014;
The dataclass containing all the needed information to perform quantization.`,name:"quantization_config"}],source:"https://github.com/huggingface/optimum/blob/v1.8.1/optimum/exporters/tflite/convert.py#L313",returnDescription:`
<p>A tuple with an ordered list of the model\u2019s inputs, and the named inputs from
the TFLite configuration.</p>
`,returnType:`
<p><code>Tuple[List[str], List[str]]</code></p>
`}}),w=new le({}),b=new Te({props:{name:"optimum.exporters.tflite.validate_model_outputs",anchor:"optimum.exporters.tflite.validate_model_outputs",parameters:[{name:"config",val:": TFLiteConfig"},{name:"reference_model",val:": TFPreTrainedModel"},{name:"tflite_model_path",val:": Path"},{name:"tflite_named_outputs",val:": typing.List[str]"},{name:"atol",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"optimum.exporters.tflite.validate_model_outputs.config",description:`<strong>config</strong> (<a href="/docs/optimum/v1.8.1/en/exporters/tflite/package_reference/configuration#optimum.exporters.tflite.TFLiteConfig">TFLiteConfig</a> &#x2014;
The configuration used to export the model.`,name:"config"},{anchor:"optimum.exporters.tflite.validate_model_outputs.reference_model",description:`<strong>reference_model</strong> (<code>~TFPreTrainedModel</code>) &#x2014;
The model used for the export.`,name:"reference_model"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_model_path",description:`<strong>tflite_model_path</strong> (<code>Path</code>) &#x2014;
The path to the exported model.`,name:"tflite_model_path"},{anchor:"optimum.exporters.tflite.validate_model_outputs.tflite_named_outputs",description:`<strong>tflite_named_outputs</strong> (<code>List[str]</code>) &#x2014;
The names of the outputs to check.`,name:"tflite_named_outputs"},{anchor:"optimum.exporters.tflite.validate_model_outputs.atol",description:`<strong>atol</strong> (<code>Optional[float]</code>, defaults to <code>None</code>) &#x2014;
The absolute tolerance in terms of outputs difference between the reference and the exported model.`,name:"atol"}],source:"https://github.com/huggingface/optimum/blob/v1.8.1/optimum/exporters/tflite/convert.py#L43",raiseDescription:`
<ul>
<li><code>ValueError</code> \u2014 If the outputs shapes or values do not match between the reference and the exported model.</li>
</ul>
`,raiseType:`
<p><code>ValueError</code></p>
`}}),{c(){m=r("meta"),U=l(),d=r("h1"),_=r("a"),E=r("span"),C($.$$.fragment),Y=l(),k=r("span"),Z=M("Export functions"),B=l(),f=r("h2"),x=r("a"),L=r("span"),C(T.$$.fragment),ee=l(),P=r("span"),te=M("Main functions"),H=l(),u=r("div"),C(y.$$.fragment),oe=l(),F=r("p"),re=M("Exports a TensorFlow model to a TensorFlow Lite model."),Q=l(),h=r("h2"),v=r("a"),N=r("span"),C(w.$$.fragment),ne=l(),A=r("span"),ae=M("Utility functions"),R=l(),g=r("div"),C(b.$$.fragment),ie=l(),z=r("p"),se=M("Validates the export by checking that the outputs from both the reference and the exported model match."),this.h()},l(e){const s=Ee('[data-svelte="svelte-1phssyn"]',document.head);m=n(s,"META",{name:!0,content:!0}),s.forEach(t),U=p(e),d=n(e,"H1",{class:!0});var J=a(d);_=n(J,"A",{id:!0,class:!0,href:!0});var ce=a(_);E=n(ce,"SPAN",{});var me=a(E);S($.$$.fragment,me),me.forEach(t),ce.forEach(t),Y=p(J),k=n(J,"SPAN",{});var de=a(k);Z=q(de,"Export functions"),de.forEach(t),J.forEach(t),B=p(e),f=n(e,"H2",{class:!0});var j=a(f);x=n(j,"A",{id:!0,class:!0,href:!0});var fe=a(x);L=n(fe,"SPAN",{});var ue=a(L);S(T.$$.fragment,ue),ue.forEach(t),fe.forEach(t),ee=p(j),P=n(j,"SPAN",{});var he=a(P);te=q(he,"Main functions"),he.forEach(t),j.forEach(t),H=p(e),u=n(e,"DIV",{class:!0});var K=a(u);S(y.$$.fragment,K),oe=p(K),F=n(K,"P",{});var ge=a(F);re=q(ge,"Exports a TensorFlow model to a TensorFlow Lite model."),ge.forEach(t),K.forEach(t),Q=p(e),h=n(e,"H2",{class:!0});var W=a(h);v=n(W,"A",{id:!0,class:!0,href:!0});var _e=a(v);N=n(_e,"SPAN",{});var xe=a(N);S(w.$$.fragment,xe),xe.forEach(t),_e.forEach(t),ne=p(W),A=n(W,"SPAN",{});var ve=a(A);ae=q(ve,"Utility functions"),ve.forEach(t),W.forEach(t),R=p(e),g=n(e,"DIV",{class:!0});var X=a(g);S(b.$$.fragment,X),ie=p(X),z=n(X,"P",{});var $e=a(z);se=q($e,"Validates the export by checking that the outputs from both the reference and the exported model match."),$e.forEach(t),X.forEach(t),this.h()},h(){i(m,"name","hf:doc:metadata"),i(m,"content",JSON.stringify(Fe)),i(_,"id","export-functions"),i(_,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(_,"href","#export-functions"),i(d,"class","relative group"),i(x,"id","optimum.exporters.tflite.export"),i(x,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(x,"href","#optimum.exporters.tflite.export"),i(f,"class","relative group"),i(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),i(v,"id","optimum.exporters.tflite.validate_model_outputs"),i(v,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(v,"href","#optimum.exporters.tflite.validate_model_outputs"),i(h,"class","relative group"),i(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,s){o(document.head,m),c(e,U,s),c(e,d,s),o(d,_),o(_,E),D($,E,null),o(d,Y),o(d,k),o(k,Z),c(e,B,s),c(e,f,s),o(f,x),o(x,L),D(T,L,null),o(f,ee),o(f,P),o(P,te),c(e,H,s),c(e,u,s),D(y,u,null),o(u,oe),o(u,F),o(F,re),c(e,Q,s),c(e,h,s),o(h,v),o(v,N),D(w,N,null),o(h,ne),o(h,A),o(A,ae),c(e,R,s),c(e,g,s),D(b,g,null),o(g,ie),o(g,z),o(z,se),G=!0},p:ke,i(e){G||(O($.$$.fragment,e),O(T.$$.fragment,e),O(y.$$.fragment,e),O(w.$$.fragment,e),O(b.$$.fragment,e),G=!0)},o(e){I($.$$.fragment,e),I(T.$$.fragment,e),I(y.$$.fragment,e),I(w.$$.fragment,e),I(b.$$.fragment,e),G=!1},d(e){t(m),e&&t(U),e&&t(d),V($),e&&t(B),e&&t(f),V(T),e&&t(H),e&&t(u),V(y),e&&t(Q),e&&t(h),V(w),e&&t(R),e&&t(g),V(b)}}}const Fe={local:"export-functions",sections:[{local:"optimum.exporters.tflite.export",title:"Main functions"},{local:"optimum.exporters.tflite.validate_model_outputs",title:"Utility functions"}],title:"Export functions"};function Ne(pe){return Le(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Me extends ye{constructor(m){super();we(this,m,Ne,Pe,be,{})}}export{Me as default,Fe as metadata};
